### org.jfree.layouting.input.style.values

# Class CSSAttrFunction

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSFunctionValue`
  - - `org.jfree.layouting.input.style.values.CSSAttrFunction`

Implemented Interfaces:
  CSSValue, Serializable

`public class CSSAttrFunction`
`extends CSSFunctionValue`

Creation-Date: 05.12.2005, 20:41:01

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSAttrFunction(String namespace, String name)`

  `CSSAttrFunction(String namespace, String name, String type)`

  ## Method Summary

  `String`

  `getCSSText()`

  `String`

  `getName()`

  `String`

  `getNamespace()`

  `String`

  `getType()`

  ### Methods inherited from class org.jfree.layouting.input.style.values.CSSFunctionValue

  `getCSSText`, `getFunctionName`, `getParameters`, `toString`

## Constructor Details

### CSSAttrFunction

    public CSSAttrFunction(String namespace,
                           String name)

### CSSAttrFunction

    public CSSAttrFunction(String namespace,
                           String name,
                           String type)

## Method Details

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue
> Overrides:
>   getCSSText in interface CSSFunctionValue

### getName

    public String getName()

### getNamespace

    public String getNamespace()

### getType

    public String getType()